import xml.etree.ElementTree as etree #import the ElementTree package, as etree (shorter to type)
with open('ObamaGifts.xml', 'rb') as xml_file: #a pythonic way of opening files, which closes them as soon as the operation is completed
    tree = etree.parse(xml_file) #parses an xml file into an element tree

root = tree.getroot() #returns the root element of this tree (i.e. the element containing all other elements)

for child in root: #for every child element in the root do this
    print (child.tag) #print the tag of the child element