import xml.etree.ElementTree as etree
with open('ObamaGifts.xml', 'rb') as xml_file:
    tree = etree.parse(xml_file)

root = tree.getroot()
  
for child in root: # for every child in the root, do the following
    for attribute, value in child.attrib.items(): #for every attribute and value in the dictionary that is child attributes, do the following
        if value != "2016": continue #if the value of the attribute is not (!=) 2016, skip the child (continue; i.e. do not perform the following operations on it)
        for subchild in child.iter(): #for every subchild (of the root) element that we iterate over in the child element
            print (subchild.tag, subchild.text)