import xml.etree.ElementTree as etree
with open('ObamaGifts.xml', 'rb') as xml_file:
    tree = etree.parse(xml_file)

root = tree.getroot()
giftevent = 0 #create a new variable that we can use to count all the gift events  
gifts =root.findall(".//GIFT")#use findall() and XPath to select all (//) elements that are under the current node (. , in this case the root) that have the GIFT tag and put them in a list 

for gift in gifts: #for every gift element that is in the gifts list, do the following
    if "Barack Obama" in gift[0].text: giftevent = giftevent + 1 #if the Barack Obama is in the text field of the first child of the gift element, add one to the giftevent counter
giftevent = str(giftevent) #transform the giftevent variable from an integer to a string, which needs to be done so it can be printed in the console
print ("Barack Obama had " + giftevent + " foreign gift parties during his presidency.")#print a string + the giftevent variable + another string, that together forms one printed string in the console
        